This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979652 - Review Request: perl-Algorithm-TrunkClassifier - Implementation of the Decision Trunk Classifier algorithm
Review Request: perl-Algorithm-TrunkClassifier - Implementation of the Decisi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 01:22 EDT by Christopher Meng
Modified: 2013-09-16 04:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 02:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 01:22:30 EDT
Spec URL: http://cicku.me/perl-Algorithm-TrunkClassifier.spec
SRPM URL: http://cicku.me/perl-Algorithm-TrunkClassifier-1.0.1-1.fc20.srpm
Description: This module contains the implementation of the Decision Trunk Classifier. 
The algorithm can be used to perform binary classification on numeric data, 
e.g. the result of a gene expression profiling experiment. Classification is 
based on so-called decision trunks, which consist of a sequence of decision 
levels, represented as nodes in the trunk. For each decision level, a probe 
is selected from the input data, and two decision threshold are calculated. 
These threshold are associated to two outgoing edges from the decision level. 
One edge represents the first class and the other edge represents the 
second class.

During classification, the decision levels of a trunk are considered one at 
a time. To classify a sample, its expression of the probe at the decision 
level is compared to the thresholds of outgoing edges. If the expression is 
less than the first threshold, class1 is assigned to the sample. If, on the 
other hand, the expression is greater than the second threshold, class2 is 
assigned to the sample. In the case expression is in-between the thresholds, 
the algorithm proceeds to the next decision level of the trunk.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 07:04:08 EDT
source rpm not found
Comment 2 Christopher Meng 2013-07-03 08:08:14 EDT
Correct the SRPM URL: http://cicku.me/perl-Algorithm-TrunkClassifier-1.0.1-1.fc20.src.rpm
Comment 3 Parag AN(पराग) 2013-07-03 08:51:19 EDT
Review:

+ mock build is successful for f20

- rpmlint output on rpms gave
perl-Algorithm-TrunkClassifier.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/Classification.pm
perl-Algorithm-TrunkClassifier.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/Classification.pm
perl-Algorithm-TrunkClassifier.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/Util.pm
perl-Algorithm-TrunkClassifier.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/Util.pm
perl-Algorithm-TrunkClassifier.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/DataWrapper.pm
perl-Algorithm-TrunkClassifier.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/DataWrapper.pm
perl-Algorithm-TrunkClassifier.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/DecisionTrunk.pm
perl-Algorithm-TrunkClassifier.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/perl5/vendor_perl/Algorithm/TrunkClassifier/DecisionTrunk.pm
perl-Algorithm-TrunkClassifier-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package perl-Algorithm-TrunkClassifier.
perl-Algorithm-TrunkClassifier-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/Algorithm-TrunkClassifier-v1.0.1/Algorithm/TrunkClassifier/src/feature_selection.c
perl-Algorithm-TrunkClassifier-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/Algorithm-TrunkClassifier-v1.0.1/Algorithm/TrunkClassifier/src/feature_selection.h
3 packages and 0 specfiles checked; 9 errors, 2 warnings.
==> Fix these messages

+ Source verified with upstream as (sha256sum)
srpm tarball : e60ef3e6d189f007fe1f2d8424dda5e8ba072d4f0387b65ae0e9230abfba4c8a
upstream tarball : e60ef3e6d189f007fe1f2d8424dda5e8ba072d4f0387b65ae0e9230abfba4c8a

+ License "Freely redistributable without restriction" is valid.

+ rest follows packaging guidelines

+ make test is successful with output
No tests defined.

+ package perl-Algorithm-TrunkClassifier-1.0.1-1.fc20
Provides: perl(Algorithm::TrunkClassifier) = 1.0.1 perl(Algorithm::TrunkClassifier::Classification) = 1.0.1 perl(Algorithm::TrunkClassifier::CommandProcessor) = 1.0.1 perl(Algorithm::TrunkClassifier::DataWrapper) = 1.0.1 perl(Algorithm::TrunkClassifier::DecisionTrunk) = 1.0.1 perl(Algorithm::TrunkClassifier::FeatureSelection) = 1.0.1 perl(Algorithm::TrunkClassifier::Util) = 1.0.1 perl-Algorithm-TrunkClassifier = 1.0.1-1.fc20 perl-Algorithm-TrunkClassifier(x86-64) = 1.0.1-1.fc20

Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) perl >= 1:5.010000 perl(Algorithm::TrunkClassifier::Classification) perl(Algorithm::TrunkClassifier::CommandProcessor) perl(Algorithm::TrunkClassifier::DataWrapper) perl(Algorithm::TrunkClassifier::DecisionTrunk) perl(Algorithm::TrunkClassifier::FeatureSelection) perl(Algorithm::TrunkClassifier::Util) perl(Exporter) perl(POSIX) perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)

suggestions:
1) BR: perl not needed

2) rpmlint messages can be fixed by adding following in %prep
find . -type f  -exec chmod -x {} 2>/dev/null \;

3) Fix the description too long rpmlint message
Comment 4 Parag AN(पराग) 2013-07-22 00:18:11 EDT
No updates provided since last 2 weeks....
Comment 5 Parag AN(पराग) 2013-08-26 05:23:01 EDT
any updates here?
Comment 6 Parag AN(पराग) 2013-09-16 02:13:55 EDT
No updates more than 2 months.
Comment 7 Christopher Meng 2013-09-16 02:58:09 EDT
Hmmm.

Finally I decided to close this bug because no one will use it.

Note You need to log in before you can comment on or make changes to this bug.